Package uk.ac.starlink.vo

## Enum TapVersion

- java.lang.Object
- - java.lang.Enum<TapVersion>
  - - uk.ac.starlink.vo.TapVersion

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<TapVersion>`

      public enum TapVersion
      extends java.lang.Enum<TapVersion>

  Version of the TAP protocol.
  Since:
    5 Oct 2018
  Author:
    Mark Taylor
  See Also:
    Table Access Protocol

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `V10` | TAP version 1.0.
    `V11` | TAP version 1.1.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `is11()` | True if this version is greater than or equal to TAP version 1.1.
    `java.lang.String` | `toString()` |
    `static TapVersion` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static TapVersion[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### V10

          public static final TapVersion V10

      TAP version 1.0.

    - #### V11

          public static final TapVersion V11

      TAP version 1.1.

  - ### Method Detail

    - #### values

          public static TapVersion[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TapVersion c : TapVersion.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TapVersion valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### is11

          public boolean is11()

      True if this version is greater than or equal to TAP version 1.1.
      Returns:
        true for v1.1+

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<TapVersion>`